#include "encompass.h"

void encompass_print_preview (GtkWidget * widget, BrowserWindow * window) {
  GnomePrintMaster * print_master;
  GnomePrintContext * print_context;
  GnomePrintMasterPreview * preview;

  print_master = gnome_print_master_new ();
  print_context = gnome_print_master_get_context (print_master);

  gtk_html_print (GTK_HTML (window->html), print_context);
  gnome_print_master_close (print_master);

  preview = gnome_print_master_preview_new (print_master,
					    _("Print Preview"));
  gtk_window_set_wmclass (GTK_WINDOW (preview), "print-preview",
			  _("Encompass Print Preview"));
  gtk_widget_show (GTK_WIDGET (preview));
  gtk_object_unref (GTK_OBJECT (print_master));
}

void encompass_print_page (GtkWidget * widget, BrowserWindow * window) {
  GnomePrintMaster * print_master;
  GnomePrintContext * print_context;
  
  print_master = gnome_print_master_new ();
  print_context = gnome_print_master_get_context (print_master);
  
  gtk_html_print (GTK_HTML (window->html), print_context);
  gnome_print_master_close (print_master);
  
  gnome_print_master_print (print_master);
  gtk_object_unref(GTK_OBJECT(print_master));
}
